<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/background"
    tools:context="com.codeholic.kotumb.app.Activity.UploadVideoActivity">
    <RelativeLayout
        android:id="@+id/toolbar_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:theme="@style/AppTheme.AppBarOverlay">
        <include
            android:id="@+id/toolbar_actionbar"
            layout="@layout/toolbar"
            android:layout_width="match_parent"
            android:layout_height="@dimen/actionBarHeight" />

    </com.google.android.material.appbar.AppBarLayout>
    </RelativeLayout>
    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/toolbar_layout">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <include
                android:id="@+id/video_card"
                layout="@layout/video_card_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"/>

        </RelativeLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/you_can_upload_only_1_00_min_video"
            android:layout_marginTop="8dp"
            android:layout_marginLeft="10dp"
            android:textSize="15sp"/>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dp"
            android:orientation="vertical">
            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/et_videotitle_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="0dp"
                app:hintEnabled="false">
                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/et_videtitle"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:fontFamily="sans-serif"
                    android:hint="@string/video_title_text"
                    android:imeOptions="actionNext"
                    android:inputType="textCapWords"
                    android:maxLines="1"
                    android:layout_marginStart="10dp"
                    android:layout_marginEnd="10dp"
                    android:paddingStart="10dp"
                    android:paddingEnd="10dp"
                    android:textColor="@color/textColor"
                    android:textColorHint="@color/textColorHint">
                </com.google.android.material.textfield.TextInputEditText>
            </com.google.android.material.textfield.TextInputLayout>


            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/et_video_description_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:padding="0dp"
                app:hintEnabled="false">
                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/et_video_description"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:fontFamily="sans-serif"
                    android:hint="@string/video_description_text"
                    android:imeOptions="actionNext"
                    android:inputType="textCapSentences|textMultiLine"
                    android:maxLines="1"
                    android:lines="4"
                    android:gravity="left|top"
                    android:paddingStart="10dp"
                    android:paddingEnd="10dp"
                    android:layout_marginStart="10dp"
                    android:layout_marginEnd="10dp"
                    android:textColor="@color/textColor"
                    android:textColorHint="@color/textColorHint">
                </com.google.android.material.textfield.TextInputEditText>
            </com.google.android.material.textfield.TextInputLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dp"
            android:layout_marginStart="10dp">

            <LinearLayout
                android:id="@+id/video_upload_progress"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="gone"
                android:orientation="vertical">
                <TextView
                    android:id="@+id/txtPercentage"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:textColor="@color/colorPrimary"
                    android:textSize="20dp" />
                <ProgressBar
                    android:id="@+id/upload_progress"
                    style="?android:attr/progressBarStyleHorizontal"
                    android:layout_width="match_parent"
                    android:layout_height="15dp"
                    android:layout_marginEnd="15dp"
                    android:max="100"
                    android:progress="0"/>
            </LinearLayout>


            <androidx.cardview.widget.CardView
                android:id="@+id/cv_upload"
                android:visibility="gone"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:backgroundTint="@color/colorPrimaryDark"
                android:clickable="true"
                android:layout_marginRight="10dp"
                android:layout_alignParentRight="true"
                android:foreground="?android:attr/selectableItemBackground"
                app:cardCornerRadius="3dp"
                app:cardElevation="3sp">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:paddingBottom="10dp"
                    android:paddingLeft="25dp"
                    android:paddingRight="25dp"
                    android:paddingTop="10dp"
                    android:text="@string/upload_btn_text"
                    android:textAllCaps="true"
                    android:textColor="@android:color/white"
                    android:textSize="18sp"
                    android:textStyle="bold" />
                <ProgressBar
                    style="?android:attr/progressBarStyle"
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:layout_gravity="center"
                    android:layout_marginBottom="8dp"
                    android:layout_marginTop="8dp"
                    android:indeterminate="true"
                    android:indeterminateTint="@android:color/white"
                    android:indeterminateTintMode="src_atop"
                    android:visibility="gone" />
            </androidx.cardview.widget.CardView>
            <androidx.cardview.widget.CardView
                android:id="@+id/cv_record"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:visibility="visible"
                android:backgroundTint="@color/colorPrimaryDark"
                android:clickable="true"
                android:layout_alignParentRight="true"
                android:layout_marginRight="10dp"
                android:foreground="?android:attr/selectableItemBackground"
                app:cardCornerRadius="3dp"
                app:cardElevation="3sp">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:paddingBottom="10dp"
                    android:paddingLeft="25dp"
                    android:paddingRight="25dp"
                    android:paddingTop="10dp"
                    android:text="@string/video_record_text"
                    android:textAllCaps="true"
                    android:textColor="@android:color/white"
                    android:textSize="18sp"
                    android:textStyle="bold" />
            </androidx.cardview.widget.CardView>

        </RelativeLayout>
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dp"
            android:orientation="vertical">
            <TextView
                android:id="@+id/tv_terms_errror"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/term_conditions_accept"
                android:visibility="gone"
                android:textColor="@color/red"
                android:layout_marginLeft="10dp"/>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:orientation="horizontal">
                <CheckBox
                    android:id="@+id/cb_terms_conditions"
                    android:layout_width="0dp"
                    android:layout_weight="0.1"
                    android:layout_height="wrap_content"
                    android:textSize="15sp"/>

                <TextView
                    android:id="@+id/tv_terms_condtion"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textColor="@color/blue"
                    android:text="@string/terms_and_conditions_text"
                    android:textSize="15sp" />
            </LinearLayout>
        </LinearLayout>

    </LinearLayout>
    </androidx.core.widget.NestedScrollView>

</RelativeLayout>
